Bug 239502 - net-im/telegram-desktop: update to 1.7.14
Summary: net-im/telegram-desktop: update to 1.7.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-07-28 18:30 UTC by Henry Hu
Modified: 2019-08-17 06:57 UTC (History)
3 users (show)

See Also:


Attachments
patch for 1.7.14 (47.46 KB, patch)
2019-07-28 18:30 UTC, Henry Hu
henry.hu.sh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2019-07-28 18:30:50 UTC
Created attachment 206128 [details]
patch for 1.7.14

Update from 1.6.7 to 1.7.14.

There is a new dependency on rlottie, which is used for rendering vector emoji/animation.

Added an additional patch to fix build failure due to issue 6219, which is a commit in the development branch.

Changelog can be found at https://raw.githubusercontent.com/telegramdesktop/tdesktop/dev/changelog.txt

1.7.14 (07.07.19)

- Bug fixes and other minor improvements.

1.7.13 (06.07.19)

- Send ultra-lightweight high-quality animated stickers to express emotion with motion.
- Receive animated stickers instantly on any connection at just 20-30 KB per sticker.
- Enjoy smooth animations at 60 frames per second.
- Create new animated sets and upload them to @stickers for everybody to use.
- Try out these sample stickers: t.me/addstickers/hotcherry
- Use strikethrough and underline formatting.

1.7.12 beta (05.07.19)

- Bug fixes and other minor improvements.

1.7.11 beta (04.07.19)

- Use strikethrough and underline formatting.
- Bug fixes and other minor improvements.

1.7.10 (24.06.19)

- Bug fixes and other minor improvements.

1.7.9 (23.06.19)

- You can now add any users to your contacts, even if their phone numbers are not visible.
- Transfer ownership of group chats and channels by granting full rights to another admin. Useful when switching jobs or if you just want to retire as creator.
- Hide archived chats to the main menu.
- See who is online straight from the chat list.
- Use the MacBook Pro TouchBar to apply formatting to selected text, insert emoji, and send stickers.

1.7.8 beta (17.06.19)

- Hide archived chats in the main menu.
- See who is online straight from the chat list.
- Apply formatting to selected text parts from the MacBook Pro TouchBar.

1.7.7 (10.06.19)

- Bug fixes and other minor improvements.

1.7.6 beta (06.06.19)

- Bug fixes and other minor improvements.

1.7.5 beta (05.06.19)

- Crash fix.

1.7.4 beta (04.06.19)

- Download video files while watching them using streaming.
- Set EOL for Windows XP / Vista and OS X 10.6 to 10.9 at September 1.

1.7.3 (01.06.19)

- Bug fixes and other minor improvements.

1.7.2 (31.05.19)

- Choose who can see your phone number with granular precision in Privacy & Security settings.
- Add group chats to "Always/Never Share" exceptions for any privacy setting. Permissions will update as users leave and join the groups.
- Connect a discussion group to your channel, subscribers will see a "Discuss" button.
- Integrate bots seamlessly with web services. For example, see t.me/DiscussThis/1
- Use TouchBar on MacBooks Pro to control music playback and switch between pinned chats.

1.7.1 beta (28.05.19)

- Disable pinned messages notifications in Settings.

1.7 (08.05.19)

Introducing Archived Chats:

- Archive any chat from the right-click menu.
- Chats with enabled notifications will pop out of the archive when a notification arrives.
- Muted chats will stay in the archive.
- Pin an unlimited number of chats in your archive.
Comment 3 Koichiro Iwao freebsd_committer 2019-08-01 06:30:27 UTC
It fails to build for me.

===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/net-im/telegram-desktop/work/.build
-- The C compiler identification is Clang 8.0.0
-- The CXX compiler identification is Clang 8.0.0
-- Check for working C compiler: /usr/local/libexec/ccache/cc
-- Check for working C compiler: /usr/local/libexec/ccache/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/local/libexec/ccache/c++
-- Check for working CXX compiler: /usr/local/libexec/ccache/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- The ASM compiler identification is Clang
-- Found assembler: /usr/local/libexec/ccache/cc
-- Configuring done
CMake Error at CMakeLists.txt:13440 (add_executable):
  Cannot find source file:

    ../../Telegram/SourceFiles/platform/freebsd/info_freebsd.cpp

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at CMakeLists.txt:10965 (add_custom_target):
  Cannot find source file:

    ../../Telegram/SourceFiles/platform/freebsd/info_freebsd.h

  Tried extensions .c .C .c++ .cc .cpp .cxx .cu .m .M .mm .h .hh .h++ .hm
  .hpp .hxx .in .txx


CMake Error at CMakeLists.txt:13440 (add_executable):
  No SOURCES given to target: Telegram


-- Build files have been written to: /wrkdirs/usr/ports/net-im/telegram-desktop/work/.build
*** Error code 1

Stop.
make: stopped in /usr/ports/net-im/telegram-desktop
build of net-im/telegram-desktop | telegram-desktop-1.7.14 ended at Thu Aug  1 15:26:21 JST 2019
build time: 00:00:47
!!! build failure encountered !!
Comment 4 Henry Hu 2019-08-01 22:52:48 UTC
(In reply to Koichiro Iwao from comment #3)
Interesting, these 2 files should be created by the patch. Can you check if they are there?
Comment 5 Koichiro Iwao freebsd_committer 2019-08-02 05:09:49 UTC
(In reply to Henry Hu from comment #4)
It turned out some patches are not created on my side. I'll try to apply it again.
BTW, if you submit the patch created by `svn diff`, it'll be easy to apply.
Comment 6 Lapo Luchini 2019-08-13 13:39:57 UTC
Applies* and works for me, thanks!

*: except Makefile.rej because version was dumped from _2 to _3.
Comment 7 Koichiro Iwao freebsd_committer 2019-08-15 05:54:55 UTC
patch doesn't apply. Strangely the patch created patchfile to top directory. Giging up this.

% curl -L 'https://bz-attachments.freebsd.org/attachment.cgi?id=206128' | patch
% svn st
M       Makefile
M       distinfo
M       files/gyp-patches
M       files/patch-Telegram_SourceFiles___other_packer.cpp
M       files/patch-Telegram_SourceFiles_base_bytes.h
M       files/patch-Telegram_SourceFiles_core_launcher.cpp
M       files/patch-Telegram_SourceFiles_core_update__checker.cpp
M       files/patch-Telegram_SourceFiles_core_utils.h
M       files/patch-Telegram_SourceFiles_data_data__document.cpp
M       files/patch-Telegram_SourceFiles_export_data_export__data__types.cpp
M       files/patch-Telegram_SourceFiles_history_admin__log_history__admin__log__inner.cpp
M       files/patch-Telegram_SourceFiles_history_history__inner__widget.cpp
M       files/patch-Telegram_SourceFiles_history_view_history__view__list__widget.cpp
M       files/patch-Telegram_SourceFiles_logs.cpp
?       files/patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.cpp
?       files/patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.h
M       files/patch-Telegram_SourceFiles_platform_linux_main__window__linux.cpp
?       files/patch-Telegram_SourceFiles_platform_platform__info.h
M       files/patch-Telegram_SourceFiles_settings.cpp
M       files/patch-Telegram_SourceFiles_settings_settings__notifications.cpp
M       files/patch-Telegram_SourceFiles_ui_text_text.cpp
M       files/patch-Telegram_SourceFiles_ui_text_text__block.cpp
M       files/patch-Telegram_SourceFiles_ui_twidget.cpp
M       files/patch-Telegram_SourceFiles_ui_widgets_labels.cpp
M       files/patch-Telegram_SourceFiles_window_main__window.cpp
M       files/patch-Telegram_ThirdParty_libtgvoip_VoIPController.cpp
M       files/patch-Telegram_gyp_PrecompiledHeader.cmake
M       files/patch-Telegram_gyp_settings__linux.gypi
M       files/patch-Telegram_gyp_telegram__sources.txt
?       files/patch-issue-6219
?       patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.cpp
?       patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.h
?       patch-Telegram_SourceFiles_platform_platform__info.h
?       patch-issue6219
Comment 8 Xin LI freebsd_committer 2019-08-17 06:12:06 UTC
Patch applies cleanly with 'patch -p0'.
Comment 9 commit-hook freebsd_committer 2019-08-17 06:50:53 UTC
A commit references this bug:

Author: delphij
Date: Sat Aug 17 06:50:23 UTC 2019
New revision: 509139
URL: https://svnweb.freebsd.org/changeset/ports/509139

Log:
  Update to 1.7.14.

  PR:		239502
  Submitted by:	maintainer (Henry Hu <henry.hu.sh gmail.com>)

Changes:
  head/net-im/telegram-desktop/Makefile
  head/net-im/telegram-desktop/distinfo
  head/net-im/telegram-desktop/files/gyp-patches
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles___other_packer.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_base_bytes.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_core_launcher.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_core_update__checker.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_core_utils.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_data_data__document.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_export_data_export__data__types.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_admin__log_history__admin__log__inner.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_history__inner__widget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_history_view_history__view__list__widget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_logs.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_freebsd_info__freebsd.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_linux_main__window__linux.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_platform_platform__info.h
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_settings.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_settings_settings__notifications.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_ui_text_text.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_ui_text_text__block.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_ui_twidget.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_ui_widgets_labels.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_SourceFiles_window_main__window.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_ThirdParty_libtgvoip_VoIPController.cpp
  head/net-im/telegram-desktop/files/patch-Telegram_gyp_PrecompiledHeader.cmake
  head/net-im/telegram-desktop/files/patch-Telegram_gyp_settings__linux.gypi
  head/net-im/telegram-desktop/files/patch-Telegram_gyp_telegram__sources.txt
  head/net-im/telegram-desktop/files/patch-issue6219
Comment 10 Xin LI freebsd_committer 2019-08-17 06:57:59 UTC
Committed, thanks!